function Weight_fix = table_with_new_results_QRA(real_price_RDN, real_price_RB, amount_day_3, weights)

% Strategy_QRA = table_with_new_results_QRA(day_profit_05_quantile,day_profit_95_quantile,day_profit_05_expectiles, day_profit_95_expectiles, day_profit_05_ES, day_profit_95_ES, day_profit_05_sharpe, day_profit_05_q_50_IQR, day_profit_05_q_95_q_5, day_profit_95_mean, day_profit_05_std, measure)
% Other_risk_measure_QRA = table_with_new_results_QRA(day_profit_05_quantile,day_profit_95_quantile,day_profit_05_expectiles, day_profit_95_expectiles, day_profit_05_ES, day_profit_95_ES, day_profit_05_sharpe, day_profit_05_q_50_IQR, day_profit_05_q_95_q_5, day_profit_95_mean, day_profit_05_std, measure)

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Table with results %%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
% %%%%%%%%%%%%%%%%%%%%%%% Mean and std for RDN and RB market %%%%%%%%%%%%%%%%
% % 
% % Market = {'RDN';'RB'};
% % Mean = [204.3962, 209.5914]';
% % Std = [63.8786, 93.4894]';
% % Mean_std_RDN_RB = table(Market, Mean, Std)
% % 
% % %%%%%%%%%%%%%%%%%%%%%%%%%% VaR and profit for QRA %%%%%%%%%%%%%%%%%%%%%%%%%
% % 
% % %%%%%%%%%%%%%%% Risk minimization and profit maximization %%%%%%%%%%%%%%%%%
% 
% % Quantile
% QRA_total_profit_05 = [13148.6435004673];
% QRA_VaR_95_historical_05 = [-106.492492258323];
% QRA_total_profit_95 = [48630.7418572933];
% QRA_VaR_95_historical_95 = [-1180.41744027877];
% mean_weight_05 = [0.0788813334147240];
% mean_weight_95 = [0.925886858673875];
% 
% Strategy = {'Risk minimization (q_05)';'Profit maximization (q_95)'};
% Profit_QRA = [QRA_total_profit_05; QRA_total_profit_95];
% VaR_5 = [QRA_VaR_95_historical_05; QRA_VaR_95_historical_95];
% mean_weight = [mean_weight_05; mean_weight_95];
% Strategy_QRA = table(Strategy, Profit_QRA, VaR_5,mean_weight)  % czy na pewno VaR 5% czy 95%
% % 
% 
% % Expectiles
% QRA_total_profit_05 = [12394.2028027600];
% QRA_VaR_95_historical_05 = [-101.603090455501];
% QRA_total_profit_95 = [49764.0263032686];
% QRA_VaR_95_historical_95 = [-1086.20007023937];
% mean_weight_05 = [0.0697880624295500];
% mean_weight_95 = [0.904538705957832];
% 
% Strategy = {'Risk minimization (q_05)';'Profit maximization (q_95)'};
% Profit_QRA = [QRA_total_profit_05; QRA_total_profit_95];
% VaR_5 = [QRA_VaR_95_historical_05; QRA_VaR_95_historical_95];
% mean_weight = [mean_weight_05; mean_weight_95];
% Strategy_QRA = table(Strategy, Profit_QRA, VaR_5,mean_weight)  % czy na pewno VaR 5% czy 95%
% 
% 
% % Expected Shortfall
% QRA_total_profit_05 = [4699.84406645759];
% QRA_VaR_95_historical_05 = [-35.4300229511292];
% QRA_total_profit_95 = [46566.2776051667];
% QRA_VaR_95_historical_95 = [-1204.74386015555];
% mean_weight_05 = [0.0206522427297671];
% mean_weight_95 = [0.957560650797072];
% 
% Strategy = {'Risk minimization (q_05)';'Profit maximization (q_95)'};
% Profit_QRA = [QRA_total_profit_05; QRA_total_profit_95];
% VaR_5 = [QRA_VaR_95_historical_05; QRA_VaR_95_historical_95];
% mean_weight = [mean_weight_05; mean_weight_95];
% Strategy_QRA = table(Strategy, Profit_QRA, VaR_5,mean_weight)  % czy na pewno VaR 5% czy 95%
% 
% %%%%%%%%%%%%%%%%%%%%%%%%%%% Optimal strategy %%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
% % Sharpe ratio
% QRA_total_profit_05 = [275.816446192314];
% QRA_VaR_95_historical_05 = [-0.000333875804821560];
% mean_weight_05 = [0.00206523540492488];
% 
% Strategy = {'Optimal strategy'};
% Profit_QRA = [QRA_total_profit_05];
% VaR_5 = [QRA_VaR_95_historical_05];
% mean_weight = [mean_weight_05];
% Strategy_QRA = table(Strategy, Profit_QRA, VaR_5,mean_weight)  % czy na pewno VaR 5% czy 95%
% 
% % q_50/IQR
% QRA_total_profit_05 = [1545.45205258794];
% QRA_VaR_95_historical_05 = [-65.8541550064059];
% mean_weight_05 = [0.0303686353646607];
% 
% Strategy = {'Optimal strategy'};
% Profit_QRA = [QRA_total_profit_05];
% VaR_5 = [QRA_VaR_95_historical_05];
% mean_weight = [mean_weight_05];
% Strategy_QRA = table(Strategy, Profit_QRA, VaR_5,mean_weight)  % czy na pewno VaR 5% czy 95%
% 
% % median
% QRA_total_profit_05 = [42149.5057706714];
% QRA_VaR_95_historical_05 = [-681.060298404137];
% mean_weight_05 = [0.573936294221279];
% 
% Strategy = {'Optimal strategy'};
% Profit_QRA = [QRA_total_profit_05];
% VaR_5 = [QRA_VaR_95_historical_05];
% mean_weight = [mean_weight_05];
% Strategy_QRA = table(Strategy, Profit_QRA, VaR_5,mean_weight)  % czy na pewno VaR 5% czy 95%
% 
% 
% 
% %%%%%%%%%%%%%%%%%%%%%%%%% Profit maximization %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
% % Mean
% QRA_total_profit_05 = [41528.7751420436];
% QRA_VaR_95_historical_05 = -612.75;
% mean_weight_05 = [0.532976520586657];
% 
% Strategy = {'Profit maximization (q_95)'};
% Profit_QRA = [QRA_total_profit_05];
% VaR_5 = [QRA_VaR_95_historical_05];
% mean_weight = [mean_weight_05];
% Strategy_QRA = table(Strategy, Profit_QRA, VaR_5,mean_weight)  % czy na pewno VaR 5% czy 95%
% 
% 
% %%%%%%%%%%%%%%%%%%%%%%%%% Risk minimization %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
% % Volatility - 'std'
% QRA_total_profit_05 = [42.0765065353963];
% QRA_VaR_95_historical_05 = [-0.000620137307001301];
% mean_weight_05 = [0.00105619054718226];
% 
% Strategy = {'Risk minimization (q_05)'};
% Profit_QRA = [QRA_total_profit_05];
% VaR_5 = [QRA_VaR_95_historical_05];
% mean_weight = [mean_weight_05];
% Strategy_QRA = table(Strategy, Profit_QRA, VaR_5,mean_weight)  % czy na pewno VaR 5% czy 95%
% 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%% Table with other risk measures %%%%%%%%%%%%%%%%%%%%%%

% [std_05, std_95, shape_ratio_weight_05, shape_ratio_weight_95, q50_IQR_weight_05, q50_IQR_weight_95,median_weight_05, median_weight_95, ES_05, ES_95, expectiles_05, expectiles_95, mean_05, mean_95] = strategy_evaluation_metrics_import_data(day_profit_05_quantile,day_profit_95_quantile,day_profit_05_expectiles, day_profit_95_expectiles, day_profit_05_ES, day_profit_95_ES, day_profit_05_sharpe, day_profit_05_q_50_IQR, day_profit_05_median, day_profit_95_mean, day_profit_05_std, measure);
   
% %%%%%%%%%%%%%%%%%%% Table for quantile, expectiles, ES %%%%%%%%%%%%%%%%%%
% 
% std_05_t = std_05;
% std_95_t = std_95;
% shape_ratio_weight_05_t = shape_ratio_weight_05;
% shape_ratio_weight_95_t = shape_ratio_weight_95;
% q50_IQR_weight_05_t = q50_IQR_weight_05; 
% q50_IQR_weight_95_t = q50_IQR_weight_95;
% q95_q5_weight_05_t = median_weight_05;
% q95_q5_weight_95_t = median_weight_95;
% ES_05_t = ES_05;
% ES_95_t = ES_95;
% expectiles_05_t = expectiles_05;
% expectiles_95_t = expectiles_95;
% mean_05_t = mean_05;
% mean_95_t = mean_95;
% 
% 
% Strategy = {'Risk minimization (q_05)';'Profit maximization (q_95)'};
% std = [std_05_t; std_95_t];
% shape_ratio = [shape_ratio_weight_05_t; shape_ratio_weight_95_t];
% q50_IQR = [q50_IQR_weight_05_t; q50_IQR_weight_95_t];
% median = [q95_q5_weight_05_t;q95_q5_weight_95_t];
% ES = [ES_05_t; ES_95_t];
% expectiles = [expectiles_05_t; expectiles_95_t];
% mean = [mean_05_t; mean_95_t];
% 
% Other_risk_measure_QRA = table(Strategy, std, shape_ratio,q50_IQR,median, ES, expectiles, mean)  

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% %%%%%% Table for volatility (std), mean, sharpe ratio, q_50/IQR, q_95/q_05  
% 
% std_05_t = std_05;
% shape_ratio_weight_05_t = shape_ratio_weight_05;
% q50_IQR_weight_05_t = q50_IQR_weight_05; 
% q95_q5_weight_05_t = median_weight_05;
% ES_05_t = ES_05;
% expectiles_05_t = expectiles_05;
% mean_05_t = mean_05;
% 
% Strategy = {'Risk minimization (q_05)'};
% std = [std_05_t];
% shape_ratio = [shape_ratio_weight_05_t];
% q50_IQR = [q50_IQR_weight_05_t];
% median = [q95_q5_weight_05_t];
% ES = [ES_05_t];
% expectiles = [expectiles_05_t];
% mean_05 = [mean_05_t];
% 
% Other_risk_measure_QRA = table(Strategy, std, shape_ratio,q50_IQR, median, ES, expectiles, mean_05)  


% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% %%%%%%%%%%%%%%%%%%%%%%%%%%% Table for weight 1 %%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
% [total_profit_wht_1, VaR_95_historical_wht_1, std_wht_1, sharpe_ratio_wht_1, q50_IQR_wht_1,median_wht_1, ES_wht_1,expectiles_wht_1,mean_wht_1]= strategy_evaluation_metrics_wht_1(real_price_RDN, real_price_RB, amount_day_3)
% 
% Strategy = {'Weight equal to 1'};
% total_profit = [total_profit_wht_1];
% VaR_95 = [VaR_95_historical_wht_1];
% std = [std_wht_1];
% shape_ratio = [sharpe_ratio_wht_1];
% q50_IQR = [q50_IQR_wht_1];
% median = [median_wht_1];
% ES = [ES_wht_1];
% expectiles = [expectiles_wht_1];
% mean_05 = [mean_wht_1];
% 
% Weight_1 = table(Strategy, total_profit, VaR_95, std, shape_ratio,q50_IQR, median, ES, expectiles, mean_05);  


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%% Table for fixed weights %%%%%%%%%%%%%%%%%%%%%%%

[total_profit_wht_fix, VaR_95_historical_wht_fix, quantile_95_95, std_wht_fix, sharpe_ratio_wht_fix, q50_IQR_wht_fix, median_wht_fix, ES_wht_fix_05, ES_wht_fix_95, expectiles_wht_fix_05, expectiles_wht_fix_95, mean_wht_fix]= strategy_evaluation_metrics_fix_wht(real_price_RDN, real_price_RB, amount_day_3, weights)

Strategy = {'Weight fix'};
total_profit = [total_profit_wht_fix];
VaR_95 = [VaR_95_historical_wht_fix];
quantile_95 = [quantile_95_95];
std = [std_wht_fix];
shape_ratio = [sharpe_ratio_wht_fix];
q50_IQR = [q50_IQR_wht_fix];
median = [median_wht_fix];
ES_05 = [ES_wht_fix_05];
ES_95 = [ES_wht_fix_95];
expectiles_05 = [expectiles_wht_fix_05];
expectiles_95 = [expectiles_wht_fix_95];
mean_05 = [mean_wht_fix];

Weight_fix = table(Strategy, total_profit, VaR_95, quantile_95, std, shape_ratio,q50_IQR, median, ES_05, ES_95, expectiles_05, expectiles_95, mean_05)


% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% %%%%%%%%%%%%%%%%%%%%% Table with results for single and benchmark model %%%%%%%%%%%%%
% 
% % quantile 5%
% 
% Model_5 = {'X1_X2_X3_X4_X5_X6_X7'; 'X1_X2_X3_X4_X5_X6_X7'; 'X2_X3_X4_X6'; 'X2_X3_X4_X6'; 'X1_X2_X3'; 'X1_X2_X3'; 'X1_X2_X3_X4_X5_X6_X7'; '-'; 'X2_X3_X4_X6'};
% L_5 = {'2,7'; '2'; '2,7'; '2'; '2,7'; '2'; '2,...,7'; '2,...,7'; '2,...,7'};
% Pi_5_single_model = [9633.58066834145; 8683.13256325946; 7580.33267645407; 7929.02103282537; 8673.98135985400; 6969.54983415995; 9898.30966163937; 9144.96919832613; 7552.07996854411];
% Var_5_single_model =  [-110.069609094172; -113.805333063518; -122.928063172344; -149.650032429410; -127.692338627786; -122.754252037018; -120.473570398521; -151.637780609012; -128.862596136423];
% Mean_weight_05 = [0.110244014661475; 0.111800259543347; 0.106751553825358; 0.121600636775058; 0.110160845700374; 0.118935329596868; 0.117493810864561; 0.131263098022056; 0.115457646979733];
% Strategy_5 = table(Model_5,L_5, Pi_5_single_model, Var_5_single_model,Mean_weight_05)
% 
% 
% % quantile 95%
% 
% Model_95 = {'X1_X2_X3_X4_X5_X6_X7'; 'X1_X2_X3_X4_X5_X6_X7'; 'X2_X3_X4_X6'; 'X2_X3_X4_X6'; 'X1_X2_X3';'X1_X2_X3'; 'X1_X2_X3_X4_X5_X6_X7'; '-'; 'X2_X3_X4_X6'};
% L_95 = {'2,7'; '2'; '2,7'; '2'; '2,7'; '2'; '2,...,7'; '2,...,7'; '2,...,7'};
% Pi_95_single_model = [45139.7299526185; 45224.7777788973; 43821.1162763352; 44499.5791929588; 44493.3662936013; 45571.1002307094; 43363.5561618267; 46942.5644898558; 47547.6220679589];
% Var_95_single_model = [-1192.72981919806; -1196.12488624166; -1210.20508564090; -1138.86671968463; -1149.30759557356; -1186.24512599953; -1193.90687471240; -1144.22052672637; -1204.53542393655];
% Mean_weight_95 = [0.943594159746956; 0.943619937564565; 0.947001897383813; 0.935774865012224; 0.942894673347438; 0.933720530829649; 0.948525548635681; 0.911603889982708; 0.945808579367375];
% Strategy_95 = table(Model_95,L_95, Pi_95_single_model, Var_95_single_model,Mean_weight_95)

% 
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Ekspectiles %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
% % 5%
% 
% Model_E_5 = {'X1_X2_X3_X4_X5_X6_X7'; 'X1_X2_X3_X4_X5_X6_X7'; 'X2_X3_X4_X6'; 'X2_X3_X4_X6'; 'X1_X2_X3'; 'X1_X2_X3'; 'X1_X2_X3_X4_X5_X6_X7'; '-'; 'X2_X3_X4_X6'};
% L_E_5 = {'2,7'; '2'; '2,7'; '2'; '2,7'; '2'; '2,...,7'; '2,...,7'; '2,...,7'};
% Pi_E_5_single_model = [10542.1761993890; 9664.25264166322; 9358.44878264158; 9901.91638474326; 10937.2618194108; 9098.36180370803; 11704.1088654318; 11904.0967321246; 9821.19213136412;];
% Var_E_5_single_model = [-131.069490986889; -133.080052270510; -145.599638233756; -147.768117332685; -158.146425956706; -142.885591484653; -137.153022096070; -175.348636398387; -147.317310277310;];
% Mean_weight_E_5 = [0.128367099387719; 0.129291341814173; 0.127349102325775; 0.137848490297983; 0.133725759345087; 0.133603264969877; 0.135981994840180;  0.152977547847157; 0.133225970064752;];
% Strategy_E_5 = table(Model_E_5,L_E_5, Pi_E_5_single_model, Var_E_5_single_model,Mean_weight_E_5)
% 
% 
% %95%
% 
% Model_E_95 = {'X1_X2_X3_X4_X5_X6_X7'; 'X1_X2_X3_X4_X5_X6_X7'; 'X2_X3_X4_X6'; 'X2_X3_X4_X6'; 'X1_X2_X3';'X1_X2_X3'; 'X1_X2_X3_X4_X5_X6_X7'; '-'; 'X2_X3_X4_X6'};
% L_E_95 = {'2,7'; '2'; '2,7'; '2'; '2,7'; '2'; '2,...,7'; '2,...,7'; '2,...,7'};
% Pi_E_95_single_model = [42975.5979210054; 43959.6076089788; 41644.1220680989; 44421.2881333981; 43270.6760302396; 44397.8654905466; 43800.9857390808; 46465.9363795184; 44792.7896852568;];
% Var_E_95_single_model = [-1192.81541877470; -1200.43959649767; -1206.30370288599; -1149.33022398198; -1175.67250728791; -1173.43363541769; -1192.30461047203; -1157.90519242780; -1212.13946619076;];
% Mean_weight_E_95 = [0.939315002603450; 0.942039409408991; 0.943767252141852; 0.933309507727840; 0.937962006471773; 0.932512896801795; 0.947724155986748; 0.922699548294813; 0.942761458294406;];
% Strategy_E_95 = table(Model_E_95,L_E_95, Pi_E_95_single_model, Var_E_95_single_model,Mean_weight_E_95)



% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% ES %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
% % 5%
% 
% Model_ES_5 = {'X1_X2_X3_X4_X5_X6_X7'; 'X1_X2_X3_X4_X5_X6_X7'; 'X2_X3_X4_X6'; 'X2_X3_X4_X6'; 'X1_X2_X3'; 'X1_X2_X3'; 'X1_X2_X3_X4_X5_X6_X7'; '-'; 'X2_X3_X4_X6'};
% L_ES_5 = {'2,7'; '2'; '2,7'; '2'; '2,7'; '2'; '2,...,7'; '2,...,7'; '2,...,7'};
% Pi_ES_5_single_model = [6302.78347551170; 6548.05207018870; 6397.74867408474; 7154.09810338303; 6691.43279083564; 7339.47642148368; 7385.01631080067; 7528.78302656020; 7031.27530166461;];
% Var_ES_5_single_model = [-89.3142537248031; -92.8010754673871; -93.9903695661462; -95.8675507547280; -102.456369058588; -96.7417548875455; -100.545991530299; -97.4049280684545; -94.1593540099981;];
% Mean_weight_ES_5 = [0.0854607296999948; 0.0896428672971552; 0.0813721786645398; 0.0924477793309536; 0.0863602932629803; 0.0914303712737427; 0.0938134040380005; 0.0884949415187386; 0.0868208037775145;];
% Strategy_ES_5 = table(Model_ES_5,L_ES_5, Pi_ES_5_single_model, Var_ES_5_single_model,Mean_weight_ES_5)
% 
% 
% %95%
%         
% Model_ES_95 = {'X1_X2_X3_X4_X5_X6_X7'; 'X1_X2_X3_X4_X5_X6_X7'; 'X2_X3_X4_X6'; 'X2_X3_X4_X6'; 'X1_X2_X3';'X1_X2_X3'; 'X1_X2_X3_X4_X5_X6_X7'; '-'; 'X2_X3_X4_X6'};
% L_ES_95 = {'2,7'; '2'; '2,7'; '2'; '2,7'; '2'; '2,...,7'; '2,...,7'; '2,...,7'};
% Pi_ES_95_single_model = [44730.2262940541; 44845.3869232370; 44509.6563268309; 45129.5564372135; 44444.9968132457; 44921.0071405140; 44677.5162279981; 45235.3578379220; 45085.3860683176;];
% Var_ES_95_single_model = [-1245.35394971045; -1245.35394761340; -1255.12496574204; -1245.35396316280; -1245.35395564632; -1245.35395606289; -1245.35395086110; -1245.35395344342; -1245.35395401444;];
% Mean_weight_ES_95 = [0.999481979526420; 0.999597092221446; 0.997870569658322; 0.998676281692332; 0.997640370003922; 0.997697923297089; 0.999136678215075; 0.996661877990781; 0.998100764596350;];
% Strategy_ES_95 = table(Model_ES_95,L_ES_95, Pi_ES_95_single_model, Var_ES_95_single_model,Mean_weight_ES_95)


%%%%%%%%%%%%%%%%%%%%%%%%% Sharpe ratio %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Model_sharpe = {'X1_X2_X3_X4_X5_X6_X7'; 'X1_X2_X3_X4_X5_X6_X7'; 'X2_X3_X4_X6'; 'X2_X3_X4_X6'; 'X1_X2_X3'; 'X1_X2_X3'; 'X1_X2_X3_X4_X5_X6_X7'; '-'; 'X2_X3_X4_X6'};
% L_sharpe = {'2,7'; '2'; '2,7'; '2'; '2,7'; '2'; '2,...,7'; '2,...,7'; '2,...,7'};
% Pi_sharpe_single_model = [4258.62961137422; 4443.75867582632; 3588.83613658454; 3958.31831526285; 3543.80541687284; 3793.47362494794; 4308.56971942866; 3427.82538873212; 3588.56545294084;];
% Var_sharpe_single_model =  [-59.5493409974324; -60.5811090861554; -51.9223151891479; -53.5949240836994; -51.4096015305729; -51.6521090271918; -58.4386841490843; -46.4775902045787; -48.8207189871527;];
% Mean_weight_sharpe = [0.0596856712317659; 0.0613254069794059; 0.0525291962611171; 0.0554412641863431; 0.0517310634006861; 0.0538699628030462; 0.0599187672416877; 0.0495590621010356; 0.0529440707195243;];
% Strategy_sharpe = table(Model_sharpe,L_sharpe, Pi_sharpe_single_model, Var_sharpe_single_model, Mean_weight_sharpe)


% %%%%%%%%%%%%%%%%%%%%%%%%% Mean %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Model_mean = {'X1_X2_X3_X4_X5_X6_X7'; 'X1_X2_X3_X4_X5_X6_X7'; 'X2_X3_X4_X6'; 'X2_X3_X4_X6'; 'X1_X2_X3'; 'X1_X2_X3'; 'X1_X2_X3_X4_X5_X6_X7'; '-'; 'X2_X3_X4_X6'};
% L_mean = {'2,7'; '2'; '2,7'; '2'; '2,7'; '2'; '2,...,7'; '2,...,7'; '2,...,7'};
% Pi_mean_single_model =  [52024.8344087615; 53982.9336852644; 46448.5322605490; 49505.2062072481; 43075.5027573690; 47140.7714484437; 47969.9439195171; 36817.6366749400; 47590.9501905713;];
% Var_mean_single_model = [-761.284858064968; -708.596713067024; -772.587981861346; -755.156644407280; -760.140818870885; -730.593885365981; -733.996731691495; -817.534887582186; -751.252172348258;];
% Mean_weight_mean = [0.660796421281075; 0.666263797738965; 0.621777063807498; 0.650897680710317; 0.642495277868086; 0.645603042644565; 0.650379690881133; 0.658840009731744; 0.614237900994842;];
% Strategy_mean = table(Model_mean,L_mean, Pi_mean_single_model, Var_mean_single_model, Mean_weight_mean)


% %%%%%%%%%%%%%%%%%%%%%%%%% Median %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Model_median = {'X1_X2_X3_X4_X5_X6_X7'; 'X1_X2_X3_X4_X5_X6_X7'; 'X2_X3_X4_X6'; 'X2_X3_X4_X6'; 'X1_X2_X3'; 'X1_X2_X3'; 'X1_X2_X3_X4_X5_X6_X7'; '-'; 'X2_X3_X4_X6'};
% L_median = {'2,7'; '2'; '2,7'; '2'; '2,7'; '2'; '2,...,7'; '2,...,7'; '2,...,7'};
% Pi_median_single_model = [41346.9272657380; 41802.7339855968; 39425.2559655411; 43098.8502221556; 38669.4541548176; 40101.8668052428; 40342.0498218197; 33568.3192677557; 39459.6264568490;];
% Var_median_single_model = [-707.175207237175; -693.225371211071; -709.883675128079; -718.248254797001; -713.029198571345; -712.102469006755; -705.792398626595; -774.590395709994; -703.303544173846;];
% Mean_weight_median = [0.619418967804681; 0.622080906143128; 0.584208184960227; 0.612211938663646; 0.595947210195070; 0.601112692971997; 0.615473058483533; 0.630329175681176; 0.584737151282496;];
% Strategy_median = table(Model_median, L_median, Pi_median_single_model, Var_median_single_model, Mean_weight_median)


%%%%%%%%%%%%%%%%%%%%%%%%%% q_50_IQR %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% % Optimal
% Model_IQR = {'X1_X2_X3_X4_X5_X6_X7'; 'X1_X2_X3_X4_X5_X6_X7'; 'X2_X3_X4_X6'; 'X2_X3_X4_X6'; 'X1_X2_X3'; 'X1_X2_X3'; 'X1_X2_X3_X4_X5_X6_X7'; '-'; 'X2_X3_X4_X6'};
% L_IQR = {'2,7'; '2'; '2,7'; '2'; '2,7'; '2'; '2,...,7'; '2,...,7'; '2,...,7'};
% Pi_IQR_single_model = [5936.27495855254; 3815.72456098673; 4038.49825365100; 4928.55035798561; 3639.32400008821; 5857.88279748367; 4688.81113546393; 5717.39440587334; 5267.15673323531;];
% Var_IQR_single_model = [-149.832701082524; -154.166630832742; -151.540454220889; -160.921839909848; -166.068026978915; -163.310752348745; -147.670281595638; -160.482440971215; -152.249676342411;];
% Mean_weight_IQR = [0.114798114023177; 0.115110493519513; 0.117373410515664; 0.127539573906336; 0.117827245313456; 0.129135107736614; 0.110379108907059; 0.124685559772843; 0.115489909327804;];
% Strategy_IQR = table(Model_IQR,L_IQR, Pi_IQR_single_model, Var_IQR_single_model,Mean_weight_IQR)


% % %%%%%%%%%%%%%%%%%%%%%%%%%%% Volatility %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% % Optimal
% Model_std = {'X1_X2_X3_X4_X5_X6_X7'; 'X1_X2_X3_X4_X5_X6_X7'; 'X2_X3_X4_X6'; 'X2_X3_X4_X6'; 'X1_X2_X3'; 'X1_X2_X3'; 'X1_X2_X3_X4_X5_X6_X7'; '-'; 'X2_X3_X4_X6'};
% L_std = {'2,7'; '2'; '2,7'; '2'; '2,7'; '2'; '2,...,7'; '2,...,7'; '2,...,7'};
% Pi_std_single_model = [3437.79108033458; 3571.67831409982; 2902.18099720027; 3049.44196287490; 2848.28598311228; 2996.34431847687; 3425.38060824971; 2629.15902966475; 2901.84523742265;];
% Var_std_single_model =  [-53.2995725547365; -57.0789698229262; -46.7978087726691; -49.2364198470358; -46.5165042979419; -49.4582625065210; -53.9016565377884; -42.6522242803504; -47.2889381262088;];
% Mean_weight_std = [0.0543707489347045; 0.0563339402776625; 0.0473070454061549; 0.0492926256411642; 0.0461125389373466; 0.0481400309693079; 0.0544942664331457; 0.0422499925356461; 0.0480796834143605;];
% Strategy_std = table(Model_std,L_std, Pi_std_single_model, Var_std_single_model,Mean_weight_std)







% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Format of table %%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
% % %%%%%%%%%%%%%%% Risk minimization and profit maximization %%%%%%%%%%%%%%%%%
% 
% % Quantile
% QRA_total_profit_05 = 
% QRA_VaR_95_historical_05 = 
% QRA_total_profit_95 = 
% QRA_VaR_95_historical_95 = 
% mean_weight_05 = 
% mean_weight_95 = 
% 
% Strategy = {'Risk minimization (q_05)';'Profit maximization (q_95)'};
% Profit_QRA = [QRA_total_profit_05; QRA_total_profit_95];
% VaR_5 = [QRA_VaR_95_historical_05; QRA_VaR_95_historical_95];
% mean_weight = [mean_weight_05; mean_weight_95];
% Strategy_QRA = table(Strategy, Profit_QRA, VaR_5,mean_weight)  % czy na pewno VaR 5% czy 95%
% % 
% 
% % Expectiles
% QRA_total_profit_05 = 
% QRA_VaR_95_historical_05 = 
% QRA_total_profit_95 = 
% QRA_VaR_95_historical_95 =
% mean_weight_05 = 
% mean_weight_95 = 
% 
% Strategy = {'Risk minimization (q_05)';'Profit maximization (q_95)'};
% Profit_QRA = [QRA_total_profit_05; QRA_total_profit_95];
% VaR_5 = [QRA_VaR_95_historical_05; QRA_VaR_95_historical_95];
% mean_weight = [mean_weight_05; mean_weight_95];
% Strategy_QRA = table(Strategy, Profit_QRA, VaR_5,mean_weight)  % czy na pewno VaR 5% czy 95%
% 
% 
% % Expected Shortfall
% QRA_total_profit_05 = 
% QRA_VaR_95_historical_05 = 
% QRA_total_profit_95 = 
% QRA_VaR_95_historical_95 = 
% mean_weight_05 = 
% mean_weight_95 = 
% 
% Strategy = {'Risk minimization (q_05)';'Profit maximization (q_95)'};
% Profit_QRA = [QRA_total_profit_05; QRA_total_profit_95];
% VaR_5 = [QRA_VaR_95_historical_05; QRA_VaR_95_historical_95];
% mean_weight = [mean_weight_05; mean_weight_95];
% Strategy_QRA = table(Strategy, Profit_QRA, VaR_5,mean_weight)  % czy na pewno VaR 5% czy 95%
% 
% %%%%%%%%%%%%%%%%%%%%%%%%%%% Optimal strategy %%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
% % Sharpe ratio
% QRA_total_profit_05 = 
% QRA_VaR_95_historical_05 = 
% mean_weight_05 = 
% 
% Strategy = {'Optimal strategy'};
% Profit_QRA = [QRA_total_profit_05];
% VaR_5 = [QRA_VaR_95_historical_05];
% mean_weight = [mean_weight_05];
% Strategy_QRA = table(Strategy, Profit_QRA, VaR_5,mean_weight)  % czy na pewno VaR 5% czy 95%
% 
% % q_50/IQR
% QRA_total_profit_05 =
% QRA_VaR_95_historical_05 = 
% mean_weight_05 = 
% 
% Strategy = {'Optimal strategy'};
% Profit_QRA = [QRA_total_profit_05];
% VaR_5 = [QRA_VaR_95_historical_05];
% mean_weight = [mean_weight_05];
% Strategy_QRA = table(Strategy, Profit_QRA, VaR_5,mean_weight)  % czy na pewno VaR 5% czy 95%
% 
% % median
% QRA_total_profit_05 = 
% QRA_VaR_95_historical_05 = 
% mean_weight_05 = 
% 
% Strategy = {'Optimal strategy'};
% Profit_QRA = [QRA_total_profit_05];
% VaR_5 = [QRA_VaR_95_historical_05];
% mean_weight = [mean_weight_05];
% Strategy_QRA = table(Strategy, Profit_QRA, VaR_5,mean_weight)  % czy na pewno VaR 5% czy 95%
% 
% 
% 
% %%%%%%%%%%%%%%%%%%%%%%%%% Profit maximization %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
% % Mean
% QRA_total_profit_05 = 
% QRA_VaR_95_historical_05 = 
% mean_weight_05 = 
% 
% Strategy = {'Profit maximization (q_95)'};
% Profit_QRA = [QRA_total_profit_05];
% VaR_5 = [QRA_VaR_95_historical_05];
% mean_weight = [mean_weight_05];
% Strategy_QRA = table(Strategy, Profit_QRA, VaR_5,mean_weight)  % czy na pewno VaR 5% czy 95%
% 
% 
% %%%%%%%%%%%%%%%%%%%%%%%%% Risk minimization %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
% % Volatility - 'std'
% QRA_total_profit_05 = 
% QRA_VaR_95_historical_05 = 
% mean_weight_05 =
% 
% Strategy = {'Risk minimization (q_05)'};
% Profit_QRA = [QRA_total_profit_05];
% VaR_5 = [QRA_VaR_95_historical_05];
% mean_weight = [mean_weight_05];
% Strategy_QRA = table(Strategy, Profit_QRA, VaR_5,mean_weight)  % czy na pewno VaR 5% czy 95%
% 
% 
% 
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% %%%%%%%%%%%%%%%%%%%% Table with other risk measures %%%%%%%%%%%%%%%%%%%%%%
% 
% [std_05, std_95, shape_ratio_weight_05, shape_ratio_weight_95, q50_IQR_weight_05, q50_IQR_weight_95,median_weight_05, median_weight_95, ES_05, ES_95, expectiles_05, expectiles_95, mean_05, mean_95] = strategy_evaluation_metrics_import_data(day_profit_05_quantile,day_profit_95_quantile,day_profit_05_expectiles, day_profit_95_expectiles, day_profit_05_ES, day_profit_95_ES, day_profit_05_sharpe, day_profit_05_q_50_IQR, day_profit_05_median, day_profit_95_mean, day_profit_05_std, measure);
% 
% %%%%%%%%%%%%%%%%%%% Table for quantile, expectiles, ES %%%%%%%%%%%%%%%%%%
% 
% std_05_t = std_05;
% std_95_t = std_95;
% shape_ratio_weight_05_t = shape_ratio_weight_05;
% shape_ratio_weight_95_t = shape_ratio_weight_95;
% q50_IQR_weight_05_t = q50_IQR_weight_05; % 0
% q50_IQR_weight_95_t = q50_IQR_weight_95;
% q95_q5_weight_05_t = median_weight_05;
% q95_q5_weight_95_t = median_weight_95;
% ES_05_t = ES_05;
% ES_95_t = ES_95;
% expectiles_05_t = expectiles_05;
% expectiles_95_t = expectiles_95;
% mean_05_t = mean_05;
% mean_95_t = mean_95;
% 
% 
% Strategy = {'Risk minimization (q_05)';'Profit maximization (q_95)'};
% std = [std_05_t; std_95_t];
% shape_ratio = [shape_ratio_weight_05_t; shape_ratio_weight_95_t];
% q50_IQR = [q50_IQR_weight_05_t; q50_IQR_weight_95_t];
% median = [q95_q5_weight_05_t;q95_q5_weight_95_t];
% ES = [ES_05_t; ES_95_t];
% expectiles = [expectiles_05_t; expectiles_95_t];
% mean = [mean_05_t; mean_95_t];
% 
% Other_risk_measure_QRA = table(Strategy, std, shape_ratio,q50_IQR,median, ES, expectiles, mean)  
% 
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% %%%%%% Table for volatility (std), mean, sharpe ratio, q_50/IQR, q_95/q_05  
% 
% std_05_t = std_05;
% shape_ratio_weight_05_t = shape_ratio_weight_05;
% q50_IQR_weight_05_t = q50_IQR_weight_05; 
% q95_q5_weight_05_t = median_weight_05;
% ES_05_t = ES_05;
% expectiles_05_t = expectiles_05;
% mean_05_t = mean_05;
% 
% Strategy = {'Risk minimization (q_05)'};
% std = [std_05_t];
% shape_ratio = [shape_ratio_weight_05_t];
% q50_IQR = [q50_IQR_weight_05_t];
% median = [q95_q5_weight_05_t];
% ES = [ES_05_t];
% expectiles = [expectiles_05_t];
% mean_05 = [mean_05_t];
% 
% Other_risk_measure_QRA = table(Strategy, std, shape_ratio,q50_IQR, median, ES, expectiles, mean_05)  
% 
% 
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% %%%%%%%%%%%%%%%%%%%%% Table with results for single and benchmark model %%%%%%%%%%%%%
% 
% % quantile 5%
% 
% Model_5 = {'X1_X2_X3_X4_X5_X6_X7'; 'X1_X2_X3_X4_X5_X6_X7'; 'X2_X3_X4_X6'; 'X2_X3_X4_X6'; 'X1_X2_X3'; 'X1_X2_X3'; 'X1_X2_X3_X4_X5_X6_X7'; '-'; 'X2_X3_X4_X6'};
% L_5 = {'2,7'; '2'; '2,7'; '2'; '2,7'; '2'; '2,...,7'; '2,...,7'; '2,...,7'};
% Pi_5_single_model = 
% Var_5_single_model =
% Mean_weight_05 = 
% Strategy_5 = table(Model_5,L_5, Pi_5_single_model, Var_5_single_model,Mean_weight_05)
% 
% 
% % quantile 95%
% 
% Model_95 = {'X1_X2_X3_X4_X5_X6_X7'; 'X1_X2_X3_X4_X5_X6_X7'; 'X2_X3_X4_X6'; 'X2_X3_X4_X6'; 'X1_X2_X3';'X1_X2_X3'; 'X1_X2_X3_X4_X5_X6_X7'; '-'; 'X2_X3_X4_X6'};
% L_95 = {'2,7'; '2'; '2,7'; '2'; '2,7'; '2'; '2,...,7'; '2,...,7'; '2,...,7'};
% Pi_95_single_model = 
% Var_95_single_model =
% Mean_weight_95 =
% Strategy_95 = table(Model_95,L_95, Pi_95_single_model, Var_95_single_model,Mean_weight_95)
% 
% 
% 
% %%%%%%%%%%%%%%%%%%%%%%%%% Sharpe ratio %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
% Model_sharpe = {'X1_X2_X3_X4_X5_X6_X7'; 'X1_X2_X3_X4_X5_X6_X7'; 'X2_X3_X4_X6'; 'X2_X3_X4_X6'; 'X1_X2_X3'; 'X1_X2_X3'; 'X1_X2_X3_X4_X5_X6_X7'; '-'; 'X2_X3_X4_X6'};
% L_sharpe = {'2,7'; '2'; '2,7'; '2'; '2,7'; '2'; '2,...,7'; '2,...,7'; '2,...,7'};
% Pi_sharpe_single_model =
% Var_sharpe_single_model = 
% Mean_weight_sharpe = 
% Strategy_sharpe = table(Model_sharpe,L_sharpe, Pi_sharpe_single_model, Var_sharpe_single_model, Mean_weight_sharpe)
% 
% 
% %%%%%%%%%%%%%%%%%%%%%%%%% Mean %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
% Model_mean = {'X1_X2_X3_X4_X5_X6_X7'; 'X1_X2_X3_X4_X5_X6_X7'; 'X2_X3_X4_X6'; 'X2_X3_X4_X6'; 'X1_X2_X3'; 'X1_X2_X3'; 'X1_X2_X3_X4_X5_X6_X7'; '-'; 'X2_X3_X4_X6'};
% L_mean = {'2,7'; '2'; '2,7'; '2'; '2,7'; '2'; '2,...,7'; '2,...,7'; '2,...,7'};
% Pi_mean_single_model =  
% Var_mean_single_model = 
% Mean_weight_mean = 
% Strategy_mean = table(Model_mean,L_mean, Pi_mean_single_model, Var_mean_single_model, Mean_weight_mean)
% 
% 
% %%%%%%%%%%%%%%%%%%%%%%%%% Median %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
% Model_median = {'X1_X2_X3_X4_X5_X6_X7'; 'X1_X2_X3_X4_X5_X6_X7'; 'X2_X3_X4_X6'; 'X2_X3_X4_X6'; 'X1_X2_X3'; 'X1_X2_X3'; 'X1_X2_X3_X4_X5_X6_X7'; '-'; 'X2_X3_X4_X6'};
% L_median = {'2,7'; '2'; '2,7'; '2'; '2,7'; '2'; '2,...,7'; '2,...,7'; '2,...,7'};
% Pi_median_single_model = 
% Var_median_single_model = 
% Mean_weight_median =
% Strategy_median = table(Model_median, L_median, Pi_median_single_model, Var_median_single_model, Mean_weight_median)
% 
% 
% 
% 
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Ekspectiles %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
% % 5%
% 
% Model_E_5 = {'X1_X2_X3_X4_X5_X6_X7'; 'X1_X2_X3_X4_X5_X6_X7'; 'X2_X3_X4_X6'; 'X2_X3_X4_X6'; 'X1_X2_X3'; 'X1_X2_X3'; 'X1_X2_X3_X4_X5_X6_X7'; '-'; 'X2_X3_X4_X6'};
% L_E_5 = {'2,7'; '2'; '2,7'; '2'; '2,7'; '2'; '2,...,7'; '2,...,7'; '2,...,7'};
% Pi_E_5_single_model = 
% Var_E_5_single_model = 
% Mean_weight_E_5 = 
% Strategy_E_5 = table(Model_E_5,L_E_5, Pi_E_5_single_model, Var_E_5_single_model,Mean_weight_E_5)
% 
% 
% %95%
% 
% Model_E_95 = {'X1_X2_X3_X4_X5_X6_X7'; 'X1_X2_X3_X4_X5_X6_X7'; 'X2_X3_X4_X6'; 'X2_X3_X4_X6'; 'X1_X2_X3';'X1_X2_X3'; 'X1_X2_X3_X4_X5_X6_X7'; '-'; 'X2_X3_X4_X6'};
% L_E_95 = {'2,7'; '2'; '2,7'; '2'; '2,7'; '2'; '2,...,7'; '2,...,7'; '2,...,7'};
% Pi_E_95_single_model = 
% Var_E_95_single_model = 
% Mean_weight_E_95 = 
% Strategy_E_95 = table(Model_E_95,L_E_95, Pi_E_95_single_model, Var_E_95_single_model,Mean_weight_E_95)
% 
% 
% 
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% ES %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
% % 5%
% 
% Model_ES_5 = {'X1_X2_X3_X4_X5_X6_X7'; 'X1_X2_X3_X4_X5_X6_X7'; 'X2_X3_X4_X6'; 'X2_X3_X4_X6'; 'X1_X2_X3'; 'X1_X2_X3'; 'X1_X2_X3_X4_X5_X6_X7'; '-'; 'X2_X3_X4_X6'};
% L_ES_5 = {'2,7'; '2'; '2,7'; '2'; '2,7'; '2'; '2,...,7'; '2,...,7'; '2,...,7'};
% Pi_ES_5_single_model =
% Var_ES_5_single_model =
% Mean_weight_ES_5 =
% Strategy_ES_5 = table(Model_ES_5,L_ES_5, Pi_ES_5_single_model, Var_ES_5_single_model,Mean_weight_ES_5)
% 
% 
% %95%
%         
% Model_ES_95 = {'X1_X2_X3_X4_X5_X6_X7'; 'X1_X2_X3_X4_X5_X6_X7'; 'X2_X3_X4_X6'; 'X2_X3_X4_X6'; 'X1_X2_X3';'X1_X2_X3'; 'X1_X2_X3_X4_X5_X6_X7'; '-'; 'X2_X3_X4_X6'};
% L_ES_95 = {'2,7'; '2'; '2,7'; '2'; '2,7'; '2'; '2,...,7'; '2,...,7'; '2,...,7'};
% Pi_ES_95_single_model = 
% Var_ES_95_single_model =
% Mean_weight_ES_95 = 
% Strategy_ES_95 = table(Model_ES_95,L_ES_95, Pi_ES_95_single_model, Var_ES_95_single_model,Mean_weight_ES_95)
% 
% 
% %%%%%%%%%%%%%%%%%%%%%%%%%% q_50_IQR %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
% % Optimal
% Model_IQR = {'X1_X2_X3_X4_X5_X6_X7'; 'X1_X2_X3_X4_X5_X6_X7'; 'X2_X3_X4_X6'; 'X2_X3_X4_X6'; 'X1_X2_X3'; 'X1_X2_X3'; 'X1_X2_X3_X4_X5_X6_X7'; '-'; 'X2_X3_X4_X6'};
% L_IQR = {'2,7'; '2'; '2,7'; '2'; '2,7'; '2'; '2,...,7'; '2,...,7'; '2,...,7'};
% Pi_IQR_single_model = 
% Var_IQR_single_model = 
% Mean_weight_IQR = 
% Strategy_IQR = table(Model_IQR,L_IQR, Pi_IQR_single_model, Var_IQR_single_model,Mean_weight_IQR)
% 
% 
% %%%%%%%%%%%%%%%%%%%%%%%%%%% Volatility %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
% % Optimal
% Model_std = {'X1_X2_X3_X4_X5_X6_X7'; 'X1_X2_X3_X4_X5_X6_X7'; 'X2_X3_X4_X6'; 'X2_X3_X4_X6'; 'X1_X2_X3'; 'X1_X2_X3'; 'X1_X2_X3_X4_X5_X6_X7'; '-'; 'X2_X3_X4_X6'};
% L_std = {'2,7'; '2'; '2,7'; '2'; '2,7'; '2'; '2,...,7'; '2,...,7'; '2,...,7'};
% Pi_std_single_model = 
% Var_std_single_model =  
% Mean_weight_std = 
% Strategy_std = table(Model_std,L_std, Pi_std_single_model, Var_std_single_model,Mean_weight_std)